Bug 1908035

Summary: dynamic-demo-plugin build does not generate dist directory
Product: OpenShift Container Platform Reporter: Vojtech Szocs <vszocs>
Component: Management ConsoleAssignee: Vojtech Szocs <vszocs>
Status: CLOSED CURRENTRELEASE QA Contact: Yadan Pei <yapei>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.7CC: aos-bugs, jhadvig, jokerman, tjelinek, yapei
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-01-28 07:26:23 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Vojtech Szocs 2020-12-15 17:58:46 UTC
When building dynamic-demo-plugin, the 'dist' directory is not generated.


Steps to Reproduce:

$ yarn
$ (cd dynamic-demo-plugin ; yarn ; yarn build)
$ test -d dynamic-demo-plugin/dist || echo 'missing dist'

Comment 3 Yadan Pei 2020-12-21 07:45:39 UTC
$ cd frontend; yarn
$ (cd dynamic-demo-plugin ; yarn ; yarn build)
$ test -d dynamic-demo-plugin/dist || echo 'missing dist'

'missing dist' is not printed so it proves that dist directory is generated

Verified on 4.7.0-0.nightly-2020-12-20-031835

Comment 4 Vojtech Szocs 2021-01-27 18:18:12 UTC
No doc text needed. This bug does not affect a publicly released version of OCP / Management Console.